version: "3.9"
services:
  meilisearch:
    image: getmeili/meilisearch:latest
    container_name: meilisearch
    restart: unless-stopped
    environment:
      MEILI_MASTER_KEY: "G7hP9kX2mLqR8sV3bTzW4aF1nYdQ6wEj" # Bunu .env dosyasındaki MEILISEARCH_KEY ile aynı yap
      MEILI_ENV: "production"
      MEILI_NO_ANALYTICS: "true"
    ports:
      - "127.0.0.1:7700:7700"
    volumes:
      - ./data:/meili_data
    # CPU / RAM limitleri (Swarm değilse böyle yaz)
    deploy: {} # Swarm uyumsuzluk hatası çıkmasın diye boş bırak
    mem_limit: 8g
    cpus: 2.0